> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/endpoint-overview/coaches/get-coach-by-id.md).

# GET Coach by ID

### `GET` Coach by ID

```
https://soccer.sportmonks.com/api/v2.0/coaches/{ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 0       |

#### Parameters

No parameters available for this endpoint.

#### Include options

No includes available for this endpoint.

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/coaches/1467946?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
"data": {
        "coach_id": 1467946,
        "team_id": 53,
        "country_id": 491,
        "common_name": "N. Lennon",
        "fullname": "Neil Lennon",
        "firstname": "Neil",
        "lastname": "Lennon",
        "nationality": "Northern Ireland",
        "birthdate": "25/06/1971",
        "birthcountry": "Northern Ireland",
        "birthplace": "Lurgan",
        "image_path": "https://cdn.sportmonks.com/images/soccer/players/10/1467946.png"
    },
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#6ce946f4-62f4-48ee-ab3b-7567a10ada16)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/coaches/get-coach-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
